[TESTING] Kodi 18 (Leia) builds for Raspberry Pi


#571

Sorry trying to be a bit clearer

Sound Devices aren’t displayed when updated to 17.8-144 onwards
Only Hdmi, Analogue, HDMI and Analogue are Listed


ALSA audio output not available in KODI unless root
#572

Checking back on 144 there were some ALSA changes:

AESinkALSA: change name to ALSA (PR:13170, 1 commit, 1 file changed)
AE: drop null sink (PR:13169, 1 commit, 4 files changed

Will do some more digging.


Can I use Netflix on OSMC?(post 4)
#573

Thank you


#574

Similar issues with Libreelec. They have posted a patch for this which I will include in the build.

Will only be included in 17.8-152 as 151 already under way.


ALSA audio output not available in KODI unless root
#575

Sweet!


#576

17.8-151, 22 Dec 2017: Based off OSMC commit (e0574bc7) and newclock5 (1483f3)

OSMC:
Temp remove game.libretro
Fix script to include inputstream.rtmp

XBMC:
[cleanup] silence compiler warnings (PR:13221, 2 commits, 2 files changed)
fix: poweranagement & linux storageprovider build without dbus (PR:13229, 1 commit, 2 files changed)
[weather][refactor] kill g_weatherManager global (PR:13227, 6 commits, 20 files changed)
[pvr] no delay on switch to previous channel with key 0 (PR:13232, 1 commit, 3 files changed)

pvr.iptvsimple:
Fix multithreading issues (PR:169, 2 commits, 4 files changed)

pvr.zattoo:
Mime-Type / gzipped EPG download (3d7d559)
Update changelog and version (742fcf1)

Includes latest addons: inputstream.adaptive (fcf6695, +1), inputstream.rtmp (c772497), peripheral.joystick (33b43ce), pvr.argustv (1aa4ddc), pvr.demo (744d8ef), pvr.dvblink (4ac2f2d), pvr.dvbviewer (c2275e1), pvr.filmon (17e8193), pvr.hdhomerun (8b931e8), pvr.hts (2f39155), pvr.iptvsimple (cbd4f5a, +2), pvr.mediaportal.tvserver (8f11874), pvr.mythtv (8f214cd), pvr.nextpvr (11dfdbb), pvr.njoy (f7a9913), pvr.octonet (c4af00a), pvr.pctv (7b1c634), pvr.stalker (fad6ed4), pvr.teleboy (e431126), pvr.vbox (1ed3fd2), pvr.vdr.vnsi (0ec3e77), pvr.vuplus (b090f73), pvr.wmc (920ade6), pvr.zattoo (742fcf1, +2), vfs.libarchive (568a2a1)


#577

Hi all.
I’m having update issue. Any help would be highly appreciated.
apt-get dist-upgrade (also with -f) fails:
http://paste.osmc.tv/yuvedoxime.vbs

Content of my sources.list:
http://paste.osmc.tv/ahutefeqif.avrasm

Sytem logs:
https://paste.osmc.tv/ubadanoyih


#578

Have you upgraded to Stretch?


#579

root@osmc:/etc/apt# cat /etc/debian_version
8.9

root@osmc:/etc/apt# uname -a
Linux osmc 4.9.29-10-osmc #1 SMP PREEMPT Mon Oct 9 02:18:18 UTC 2017 armv7l GNU/Linux


#580

Update to Stretch first


#581


These are the instructions for updating OSMC to stretch.


#582

@ActionA and @sam_nazarko:
Could you please provide the valid content of sources.list for performing upgrade to Stretch?
Just for testing of the upgrade procedure I left only:
deb http://apt.osmc.tv jessie-devel main in sources.list

But apt-get dist-upgrade returns an error:
E: The package rbp2-mediacenter-osmc needs to be reinstalled, but I can’t find an archive for it.

Any hints?


#583

The link I provided above provided clear instructions.

deb http://ftp.debian.org/debian jessie main contrib non-free

deb http://ftp.debian.org/debian/ jessie-updates main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free

deb http://apt.osmc.tv jessie main

deb http://apt.osmc.tv jessie-devel main

This is where you should start to get to stretch.


#584

@ActionA ok, so now I have the content of my sources.list as above, but still no luck with updating:

root@osmc:/home/osmc# apt-get dist-upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
E: The package rbp2-mediacenter-osmc needs to be reinstalled, but I can’t find an archive for it.

Also no luck with updating using webinterface.
Any other hints?


#585

Did you first do an apt-get update?


#586

Sure.


#587

You need to add this back in after the stretch upgrade:

deb http://download.osmc.tv/dev/gmc-18 gmc-18 main


#588

Still no luck.
I tried to reinstall, but still there is a problem:
root@osmc:/home/osmc# apt-get install rbp2-mediacenter-osmc --reinstall
Reading package lists… Done
Building dependency tree
Reading state information… Done
E: The package rbp2-mediacenter-osmc needs to be reinstalled, but I can’t find an archive for it.

So I added:

deb http://download.osmc.tv/dev/gmc-18 gmc-18 main

But this resulted with (after apt-get update ofc):

root@osmc:/home/osmc# apt-get install rbp2-mediacenter-osmc --reinstall
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 rbp2-mediacenter-osmc : Depends: libtinyxml2.6.2v5 but it is not installable
                         Depends: libmicrohttpd12 but it is not installable
                         Depends: libmariadbclient18 but it is not installable
                         Depends: libpng16-16 but it is not installable
                         Depends: libtag1v5-vanilla but it is not installable
                         Depends: libgif7 but it is not installable
                         Depends: libpcrecpp0v5 but it is not installable
                         Depends: libssl1.0.2 but it is not installable
                         Depends: libplist3 but it is not installable
                         Depends: libcrossguid0 but it is not installable
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Just to confirm, currently I have:
root@osmc:/home/osmc# dpkg -l | grep mediacenter-osmc
rHR rbp2-mediacenter-osmc 17.8-127 armhf Media Center package for OSMC


#589

Sounds like your system is borked and stuck in a loop.
Upgrade to stretch is failing to due some issue with mediacenter.
Upgrade to latest nightly is failing as you are not on stretch

Try remove the gmc-18 from sources, then try manually install the last jessie nightly.

wget http://kodi.gjmccarthy.co.uk/Nov2017/rbp2-mediacenter-debug-osmc-25112017.deb -O /tmp/rbp2-mediacenter-debug-osmc-25112017.deb
sudo dpkg -i /tmp/rbp2-mediacenter-debug-osmc-25112017.deb

If that goes through then upgrade to stretch.


#590

Still not working:

root@osmc:/home/osmc# dpkg -i /tmp/rbp2-mediacenter-debug-osmc-25112017.deb
Selecting previously unselected package rbp2-mediacenter-debug-osmc.
(Reading database ... 51319 files and directories currently installed.)
Preparing to unpack .../rbp2-mediacenter-debug-osmc-25112017.deb ...
Adding 'diversion of /usr/lib/kodi/kodi.bin to /usr/lib/kodi/kodi.bin.distributed by rbp2-mediacenter-debug-osmc'
Unpacking rbp2-mediacenter-debug-osmc (17.8-136) ...
dpkg: dependency problems prevent configuration of rbp2-mediacenter-debug-osmc:
 rbp2-mediacenter-debug-osmc depends on rbp2-mediacenter-osmc (= 17.8-136); however:
  Package rbp2-mediacenter-osmc is not installed.

dpkg: error processing package rbp2-mediacenter-debug-osmc (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 rbp2-mediacenter-debug-osmc